Результаты поиска по запросу "android-compatibility"

1 ответ

Достаточно ли проверять SDK_INT или требуется ленивая загрузка для использования более новых API Android? Почему?

Код такой как: if (android.os.Build.VERSION.SDK_INT >= Build.VERSION_CODES.GINGERBREAD) ed.apply(); else ed.commit();выдает предупреждение в Froyo: 04-27 03: 40: 35.025: W / dalvikvm (3138): VFY: невозможно разрешить метод интерфейса 219: ...

4 ответа

Определение положения большого пальца в SeekBar до версии API 16

По сути, мне нужно определить, когда прогресс изменяется в SeekBar, и нарисовать текстовое представление поверх большого пальца, указывающее значение прогресса. Я делаю это путем реализацииOnSeekBarChangeListener и наpublic ...

1 ответ

Оптимизация файла манифеста Android для наибольшего числа поддерживаемых устройств

У меня возникают проблемы с совместимостью моего файла манифеста со многими новыми телефонами, когда я загружаю новый файл APK, и я не понимаю, почему. Я тестирую его на новомHTC Evo V [http://www.gsmarena.com/htc_one_v-4575.php], но по ...

ТОП публикаций

2 ответа

Android решает проблему совместимости с SDK_INT hack; это нормально?

Выполнение следующего (примечание: цель> 3.0) ActionBar actionBar = getActionBar();на Android с версией <3.0 (SDK 11) приводит кNoSuchMethodError. Есть несколько способов обойти это, включая рефлексию и ленивую загрузку класса. Тем не менее, ...

10 ответов

Мое приложение несовместимо с Nexus 7 в Google Playstore

Hii Я отправил приложение в playstore, но это не такт мой совместимый с Nexus вот мой манифест мое приложение находится в списке поддерживаемых устройств в G...

2 ответа

Вы читали вопрос?

о что попробовал протестировать мое приложение на реальном устройстве (HTC Desire Z с Android 2.2). И обнаружил, что мои контекстные меню вообще не работают на

10 ответов

Мое приложение несовместимо с Nexus 7 в Google Playstore

Hii Я отправил приложение в playstore, но оно не совместимо с Nexus. Вот мой манифест. Мое приложение находится в списке поддерживаемых устройств в Google Play. и когда я проверяю то же самое в устройстве nexus, это вообще не видно ...

12 ответов

Использование векторной графики для Android при падении Lollipop

2 ответа

Итак, снова моя рекомендация не обновлять.

ользую com.google.android.gms: play-services-ads: 12.0.1. и поддержка Android версии 27.1.1. при попытке обновить библиотеку объявлений до последней версии (15.0.0) появляется сообщение о том, что я должен использовать ту же спецификацию ...

5 ответов

ура

я есть просмотрщик, который просматривает фрагменты. мойFragmentPagerAdapter подкласс создает новый фрагмент вgetItem метод, который кажется расточительным. Есть лиFragmentPagerAdapter эквивалентноconvertView вlistAdapter что позволит мне ...